org.eclipse.ui.application

## Class DisplayAccess

- java.lang.Object
- - org.eclipse.ui.application.DisplayAccess

    public final class DisplayAccess
    extends Object

This class provides static methods that help RCP applications interact with the Display.

Since:
  3.4

### Constructor Summary

Constructors
Constructor and Description
`DisplayAccess()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `accessDisplayDuringStartup()` This method allows threads spawned early in the workbench startup process to access the Display via the `Display.asyncExec(Runnable)` and `Display.syncExec(Runnable)` methods.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DisplayAccess

    public DisplayAccess()

### Method Detail

#### accessDisplayDuringStartup

    public static void accessDisplayDuringStartup()

This method allows threads spawned early in the workbench startup process to access the Display via the `Display.asyncExec(Runnable)` and `Display.syncExec(Runnable)` methods. Without invoking this method from a given thread subsequent calls to the above Display methods will behave as follows:

- runnables posted to `Display.asyncExec(Runnable)` will not be invoked until after the Workbench is fully restored.
- calls made to `Display.syncExec(Runnable)` will block until the Workbench is fully restored.

This method MUST NOT be called from threads created by the workbench. If invoked from any thread owned by the Workbench this method will throw an `IllegalStateException`.

It is recommended that this method be used from ALL threads that touch the display during the startup process, even those that may have been created in the main application class.

This method has no effect after the workbench has been restored.

Throws:
  `IllegalStateException` - thrown if invoked from a thread created by the workbench.